<?php

namespace Drupal\build_hooks\Entity;

use Drupal\Core\Config\Entity\ConfigEntityInterface;

/**
 * Provides an interface for defining Frontend environment entities.
 */
interface FrontendEnvironmentInterface extends ConfigEntityInterface {

  /**
   * @return string
   */
  public function getUrl();

  /**
   * @return int
   */
  public function getWeight();

  /**
   * @return string
   */
  public function getDeploymentStrategy();

  /**
   * @param string $deploymentStrategy
   */
  public function setDeploymentStrategy($deploymentStrategy);

  /**
   * {@inheritdoc}
   */
  public function getPlugin();

  /**
   * {@inheritdoc}
   */
  public function getPluginCollections();

}
