<?php

namespace Drupal\build_hooks;

use Drupal\build_hooks\Entity\FrontendEnvironmentInterface;

/**
 * Interface TriggerInterface.
 */
interface TriggerInterface {

  /**
   * return void
   */
  public function deployFrontendCronEnvironments();

  /**
   * @param \Drupal\build_hooks\Entity\FrontendEnvironmentInterface $frontend_environment
   *
   * @return mixed
   */
  public function triggerBuildHookForEnvironment(FrontendEnvironmentInterface $frontend_environment);

  /**
   * return void
   */
  public function showMenu();

  /**
   * Utility function to retrieve the cache tag to apply to the toolbar.
   *
   * @return string
   *   The toolbar cache tag.
   */
  public function getToolbarCacheTag();

  /**
   * Invalidates the toolbar cache tag.
   */
  public function invalidateToolbarCacheTag();

}
